## CalDAVSyncState

Description

Implements interfaces:

- Serializable (internal interface)

The CalDAVSyncState is a very lightweight object holding the data from the last sync process.

Located in /inc/CalDAVSyncState.php (line 5)

Variable Summary
mixed $local_etags
mixed $local_token
mixed $remote_etags
mixed $remote_token
Method Summary
CalDAVSyncState __construct ( $rtoken, $retags, $ltoken, $letags)
void serialize ()
void unserialize ( $data)
Variables
mixed $local_etags (line 9)

- access: public

mixed $local_token (line 8)

- access: public

mixed $remote_etags (line 7)

- access: public

mixed $remote_token (line 6)

- access: public

Methods
Constructor __construct (line 11)
CalDAVSyncState __construct ( $rtoken, $retags, $ltoken, $letags)

- $rtoken
- $retags
- $ltoken
- $letags

serialize (line 18)

- access: public

void serialize ()

Implementation of:

Serializable::serialize

unserialize (line 22)

- access: public

void unserialize ( $data)

- $data

Implementation of:

Serializable::unserialize

Documentation generated on Sun, 08 Jul 2012 12:53:48 +0000 by phpDocumentor 1.4.3